Thanks to last +Ray Cromwell 's patch we can start playing with #java8 lambdas in #GWT . Just make your project depend on gwt-2.8.0-SNAPSHOT and change compiler options to 1.8.  
Photo
Shared publiclyView activity